﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SQLite;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsAppBSC2024_25_10
{
    
    public partial class Form1 : Form
    {
        String connectionString = "Data source=smartphonedb.db;Version=3";
        SQLiteConnection connection;
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            connection.Open();
            String insert = "Insert into Smartphone values(@id,@brand," +
                "@model,@price,@screen,@storage)";
            SQLiteCommand command = new SQLiteCommand(insert,connection);
            command.Parameters.AddWithValue("id",int.Parse(textBox1.Text));
            command.Parameters.AddWithValue("brand",textBox2.Text);
            command.Parameters.AddWithValue("model", textBox3.Text);
            command.Parameters.AddWithValue("price", int.Parse(textBox6.Text));
            command.Parameters.AddWithValue("screen", double.Parse(textBox4.Text));
            command.Parameters.AddWithValue("storage", int.Parse(textBox5.Text));
            if (command.ExecuteNonQuery() == 1)
            {
                MessageBox.Show("Smartphone Added!");
            }
            else
            {
                MessageBox.Show("Something went wrong");
            }
            connection.Close();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            connection = new SQLiteConnection(connectionString);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            connection.Open();
            String selectbyfield = "Select * from Smartphone " +
                "where Model=@model";
            SQLiteCommand command = new SQLiteCommand(selectbyfield,connection);
            command.Parameters.AddWithValue("model",textBox7.Text);
            SQLiteDataReader reader = command.ExecuteReader();
            if (reader.HasRows)
            {
                richTextBox1.Clear();
                reader.Read();
                richTextBox1.AppendText(reader.GetString(1));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetString(2));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetInt16(3).ToString());
                richTextBox1.AppendText(Environment.NewLine);
            }
            else
            {
                MessageBox.Show("Nothing found...");
            }
            connection.Close ();
        }

        private void groupBox1_Enter(object sender, EventArgs e)
        {

        }

        private void button3_Click(object sender, EventArgs e)
        {
            connection.Open();
            String selectbyfield = "Select * from Smartphone " +
                "where Upper(Model) like @model";
            SQLiteCommand command = new SQLiteCommand(selectbyfield, connection);
            command.Parameters.AddWithValue("model", "%"+textBox8.Text+"%");
            SQLiteDataReader reader = command.ExecuteReader();
            if (reader.HasRows)
            {
                richTextBox1.Clear();
                while (reader.Read())
                {
                    richTextBox1.AppendText(reader.GetString(1));
                    richTextBox1.AppendText(",");
                    richTextBox1.AppendText(reader.GetString(2));
                    richTextBox1.AppendText(",");
                    richTextBox1.AppendText(reader.GetInt16(3).ToString());
                    richTextBox1.AppendText(Environment.NewLine);
                }
                
            }
            else
            {
                MessageBox.Show("Nothing found...");
            }
            connection.Close();
        }
    }
}
